---
title: URLSearchParams.forEach()
slug: Web/API/URLSearchParams/forEach
tags:
  - API
  - Method
  - Reference
  - URLSearchParams
  - forEach
---
<div>{{APIRef("URL API")}}</div>

<p>The <code><strong>forEach()</strong></code> method of the {{domxref("URLSearchParams")}} interface allows iteration through all values contained in this object via a callback function.</p>

<p>{{availableinworkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">searchParams.forEach(callback);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>callback</dt>
 <dd>A callback function that is executed against each parameter, with the param value provided as its parameter.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Void.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js;highlight:[5]">// Create a test URLSearchParams object
var searchParams = new URLSearchParams("key1=value1&amp;key2=value2");

// Log the values
searchParams.forEach(function(value, key) {
  console.log(value, key);
});</pre>

<p>The result is:</p>

<pre>value1 key1
value2 key2</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('URL', '#interface-urlsearchparams', "forEach() (see \"iterable\")")}}</td>
   <td>{{Spec2('URL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.URLSearchParams.forEach")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("URL")}} interface.</li>
</ul>
